<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (isset($_POST['com_id'])){ $com_id=$_POST['com_id'];}
if (isset($_POST['art_id'])){$art_id=$_POST['art_id']; $art_id;}
if (isset($_POST['art_referencia'])){$art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){$precio_costo=$_POST['precio_venta'];}
if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
if (isset($_POST['iva'])){ $iva=$_POST['iva'];}
if (isset($_POST['fecha_vencimiento'])){ $fecha_vencimiento=$_POST['fecha_vencimiento'];}
if (isset($_POST['flete'])){ $flete=$_POST['flete'];}
if (isset($_POST['atributo_estado'])){ $atributo_estado=$_POST['atributo_estado'];}
if (isset($_POST['atributo1'])){$atributo1=$_POST['atributo1'];}
if (isset($_POST['atributo2'])){$atributo2=$_POST['atributo2'];}

$iva_uni=($precio_costo*$iva)/100;
$precio_venta=$precio_costo+$iva_uni+$flete;
 
if (!empty($cantidad))
{
     if ($atributo_estado=='si')
    {    
        $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
        $atri11 = mysqli_fetch_array($atri11);
        if (isset($atri11['atri_nombre'])) { $atri_nombre= $atri11['atri_nombre']; } else { $atri_nombre='';}

        $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
        $atri2 = mysqli_fetch_array($atri2);
        if (isset($atri2['atri_nombre2'])) { $atri_nombre2=' - '.$atri2['atri_nombre2']; } else { $atri_nombre2='';}

        $atributos=$atri_nombre .$atri_nombre2;
    }
    else
    {
        $atributos='';
    }

    $sqll=mysqli_query($con,"SELECT comd_art_id FROM compra_detalle WHERE comd_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa' and compras_com_id='$com_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can1=mysqli_query($con,"SELECT * FROM compra_detalle WHERE comd_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa'and compras_com_id='$com_id'") or die(mysqli_error($con));  
        $dato1=mysqli_fetch_array($can1);
        $cantidad_ant=$dato1['comd_cantidad'];
        $suma=$cantidad+$cantidad_ant;
           
        $registros=mysqli_query($con,"UPDATE compra_detalle Set comd_cantidad='$suma',comd_precio='$precio_costo',comd_iva='$iva' Where comd_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa' and compras_com_id='$com_id' ") or die(mysqli_error($con));

        
        $can2=mysqli_query($con,"SELECT * from articulos_has_bodegas where articulos_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2'") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2);
        $art_id_bod=$dato2['art_id'];
        $art_cantidad=$dato2['art_cantidad'];
        $total_can=$art_cantidad+$cantidad;

        $sql2=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$total_can' where art_id='$art_id_bod' and articulos_art_id='$art_id'") or die(mysqli_error($con));    

        $can3=mysqli_query($con,"SELECT * from kardex_compra where kar_com_id='$com_id' and art_id_bod='$art_id_bod' and kar_art_id='$art_id'") or die(mysqli_error($con)); 
        $dato3=mysqli_fetch_array($can3);
        $kar_id =$dato3['kar_id'];
        $kar_cantidad_v=$dato3['kar_cantidad_v'];
        $cantidad_v=$kar_cantidad_v+$cantidad;
       
        $sql3=mysqli_query($con,"UPDATE kardex_compra set 
                                            kar_cantidad='$suma',
                                            kar_cantidad_v='$cantidad_v',
                                            kar_precio='$precio_venta'
                                where kar_id='$kar_id'") or die(mysqli_error($con));

    }
    else
    {   
        $insert_tmp=mysqli_query($con, "INSERT INTO compra_detalle (comd_art_id,comd_referencia,comd_cantidad,comd_nombre,comd_precio,comd_iva,comd_flete,atributo1,atributo2,empresa,compras_com_id) 
        VALUES ('$art_id','$art_referencia','$cantidad','$nombre $atributos','$precio_costo','$iva','$flete','$atributo1','$atributo2','$empresa','$com_id')");

        $can4=mysqli_query($con,"SELECT * from articulos_has_bodegas where articulos_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2'") or die(mysqli_error($con)); 
        if($dato4=mysqli_fetch_array($can4))
        {    
            echo 'actualizar';
   
            $art_id_bod=$dato4['art_id'];
            $art_cantidad=$dato4['art_cantidad'];
            $total_c=$art_cantidad+$cantidad;
            $sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$total_c' where articulos_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2'") or die(mysqli_error($con));  
        }
        else
        {
            echo 'nuevo';

            $can5=mysqli_query($con,"SELECT MAX(art_id)as art_id_bod FROM articulos_has_bodegas ") or die(mysqli_error($con)); 
            $dato5=mysqli_fetch_array($can5);
            $art_id_bod=$dato5['art_id_bod']+1;
            
            $sql10 = "INSERT INTO articulos_has_bodegas (art_id,articulos_art_id,art_cantidad,atributo1,atributo2,bodegas,sucursal,empresa) VALUES ('$art_id_bod','$art_id','$cantidad','$atributo1','$atributo2','$bod_id','$sucursal','$empresa') ";mysqli_query($con, $sql10);   
        }

        $can8=mysqli_query($con,"INSERT INTO kardex_compra (kar_com_id,kar_tipo,kar_fecha,kar_fecha_vencimiento,art_id_bod,kar_art_id,kar_cantidad,kar_cantidad_v,kar_precio,bodega,sucursal,empresa) 
        VALUES ('$com_id','compra','1999-01-01','1999-01-01','$art_id_bod','$art_id','$cantidad','$cantidad','$precio_venta','$bod_id','$sucursal','$empresa')") or die(mysqli_error($con));  
    }
}
?>
